-- FCP by Harpo
-- version: 1.02 2014/09/09 - added firecracker turret: /fc or /firecracker
-- version: 1.01 2014/06/21 - added Reinforced Bulkhead: /rb or /rib
-- version: 1.0 2014/06/15
-- How many FCP can be build with current inventory in i8?  What items am I short on?
-- How many FFSA can be build with current inventory in c12?  What items am I short on?
-- How many RB can be build with current inventory in f6?  What items am I short on?
-- Dependancies: none

-- usage:
-- /fcp or /ffsa or /ffssa or /rb or /rib or fc or /firecracker
-- To see more detail after typing one of the above, toggle the console by typing ' and look at the bottom

function harpo_fcp(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.sss = 0; tally.ss = 0; tally.sh = 0; tally.ohp = 0; tally.ps = 0; tally.xa = 0; tally.ho = 0; tally.po = 0
	console_print("Item, Number of FCP's worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Latos I-8" then
			iname = GetInventoryItemName(i)
			if iname == "XiRite Alloy" or iname == "Heliocene Ore" or iname == "Pentric Ore" or iname == "Synthetic Silksteel" 
						or iname == "Plasteel" or iname == "Synthetic Hydrocarbons" or iname == "Outer Hull Plate" 
						or iname == "Silksteel" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Synthetic Silksteel" then tally.sss = qty / 8 end
				if iname == "Silksteel" then tally.ss = qty / 8 end
				if iname == "Synthetic Hydrocarbons" then tally.sh = qty / 15 end
				if iname == "Outer Hull Plate" then tally.ohp = qty / 15 end
				if iname == "Plasteel" then tally.ps = qty / 5 end
				if iname == "XiRite Alloy" then tally.xa = qty / 10 end
				if iname == "Heliocene Ore" then tally.ho = qty / 3 end
				if iname == "Pentric Ore" then tally.po = qty / 2 end
			end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " FCP using current inventory in i8, limited by " .. limiter)
end

function harpo_ffsa(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.sss = 0; tally.ss = 0; tally.co = 0; tally.lo = 0; tally.ho = 0; tally.va = 0
	console_print("Item, Number of FFSA's worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Pelatus C-12" then
			iname = GetInventoryItemName(i)
			if iname == "Premium Carbonic Ore" or iname == "Heliocene Ore" or iname == "Lanthanic Ore" or iname == "Synthetic Silksteel" 
						or iname == "Premium VanAzek Ore" or iname == "Silksteel" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Synthetic Silksteel"	then tally.sss = qty / 8 end
				if iname == "Silksteel"				then tally.ss = qty / 50 end
				if iname == "Premium Carbonic Ore"	then tally.co = qty / 5 end
				if iname == "Heliocene Ore"			then tally.ho = qty / 3 end
				if iname == "Lanthanic Ore"			then tally.lo = qty / 6 end
				if iname == "Premium VanAzek Ore"	then tally.va = qty / 10 end
			end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " FFSA using current inventory in c12, limited by " .. limiter)
end

function harpo_rib(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.ffsa = 0; tally.ss = 0; tally.fcp = 0; tally.io = 0; tally.ho = 0; tally.lo = 0
	console_print("Item, Number of RIB's worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Nyrius F-6" then
			iname = GetInventoryItemName(i)
			if iname == "Fluid Formable Silksteel Alloy" or iname == "Heliocene Ore" or iname == "Lanthanic Ore" 
						or iname == "Fused Composite Plating" or iname == "Premium Ishik Ore" or iname == "Silksteel" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Fluid Formable Silksteel Alloy"	then tally.ffsa = qty / 5 end
				if iname == "Silksteel"							then tally.ss = qty / 6 end
				if iname == "Premium Ishik Ore"					then tally.io = qty / 8 end
				if iname == "Heliocene Ore"						then tally.ho = qty / 2 end
				if iname == "Lanthanic Ore"						then tally.lo = qty / 4 end
				if iname == "Fused Composite Plating"			then tally.fcp = qty / 2 end
			end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " RB using current inventory in f6, limited by " .. limiter)
end

function harpo_fury(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.ApicineOre = 0; tally.XithriciteOre = 0; tally.Lanthanic = 0; tally.AqueanOre = 0; tally.lcd = 0; tally.gyro = 0; tally.GuardianProcessorCore = 0; tally.AdvancedLogisticsSystem = 0
	console_print("Item, Number of Furies worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Verasi E-14" then
			iname = GetInventoryItemName(i)
			--if iname == "Premium Aquean Ore" or iname == "Premium Xithricite Ore" or iname == "Lanthanic Ore" 
			--			or iname == "Apicine Ore" or iname == "LCD" or iname == "Gyroscopes" 
			--			or iname == "Guardian Processor Core" or iname == "Advanced Logistics System" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Premium Aquean Ore"		then tally.AqueanOre = qty / 40 end
				if iname == "Premium Xithricite Ore"	then tally.XithriciteOre = qty / 30 end
				if iname == "Apicene Ore"				then tally.ApicineOre = qty / 10 end
				if iname == "LCD"						then tally.lcd = qty / 6 end
				if iname == "Lanthanic Ore"				then tally.Lanthanic = qty / 20 end
				if iname == "Gyroscopes"				then tally.gyro = qty / 6 end
				if iname == "Guardian Processor Core"	then tally.GuardianProcessorCore = qty / 3 end
				if iname == "Advanced Logistics System"	then tally.AdvancedLogisticsSystem = qty / 1 end
			--end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " Fury(ies) using current inventory in e14, limited by " .. limiter)
end

function harpo_firecracker(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.PowerReg = 0; tally.GuidedMissileCasings = 0; tally.SolidFuel = 0; tally.AdvancedTargetingSystems = 0; tally.Plasteel = 0; 
	tally.Helio = 0; tally.Pentric = 0; tally.SoidExplosives = 0; tally.DentekProcessor = 0
	console_print("Item, Number of Firecrackers worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Bractus M-14" then
			iname = GetInventoryItemName(i)
			qty = GetInventoryItemQuantity(i)
			if iname == "Power Regulators"				then tally.PowerReg = qty / 1 end
			if iname == "Guided Missile Casings"		then tally.GuidedMissileCasings = qty / 6 end
			if iname == "Solid Fuel Packs"				then tally.SolidFuel = qty / 6 end
			if iname == "Plasteel"						then tally.Plasteel = qty / 2 end
			if iname == "Heliocene Ore"					then tally.Helio = qty / 4 end
			if iname == "Pentric Ore"					then tally.Pentric = qty / 2 end
			if iname == "Solid Explosives"				then tally.SoidExplosives = qty / 3 end
			if iname == "Dentek Processor Core"			then tally.DentekProcessor = qty / 2 end
			if iname == "Advanced Targeting Systems"	then tally.AdvancedTargetingSystems = qty / 1 end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " Firecracker(s) using current inventory in m14, limited by " .. limiter)
end

RegisterUserCommand("fcp", harpo_fcp)

RegisterUserCommand("ffsa", harpo_ffsa)
RegisterUserCommand("ffssa", harpo_ffsa)

RegisterUserCommand("rib", harpo_rib)
RegisterUserCommand("rb", harpo_rib)

RegisterUserCommand("fury", harpo_fury)

RegisterUserCommand("firecracker", harpo_firecracker)
RegisterUserCommand("fc", harpo_firecracker)
